LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 09-16-2013, 05:15 AM   #1
UGI
LQ Newbie
 
Registered: Jun 2013
Posts: 6

Rep: Reputation: Disabled
The question about NS2 version and linux platform.


Hello guys,
I am new to ns2.
Now my machine is in Ubuntu 11.10 and NS2 version is 2.35. I want to run CBRP in this environment, so I download from http://www.comp.nus.edu.sg/~tayyc/cbrp/. Its version seems to old to configure.
Can anyone help me, please?
And another question is now my environment is fit to run CBRP? or other suggestion for the linux version?

Thank you.
 
Old 09-16-2013, 08:10 AM   #2
TB0ne
LQ Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 21,820

Rep: Reputation: 5774Reputation: 5774Reputation: 5774Reputation: 5774Reputation: 5774Reputation: 5774Reputation: 5774Reputation: 5774Reputation: 5774Reputation: 5774Reputation: 5774
Quote:
Originally Posted by UGI View Post
Hello guys,
I am new to ns2. Now my machine is in Ubuntu 11.10 and NS2 version is 2.35. I want to run CBRP in this environment, so I download from http://www.comp.nus.edu.sg/~tayyc/cbrp/. Its version seems to old to configure.
Can anyone help me, please?
And another question is now my environment is fit to run CBRP? or other suggestion for the linux version?
What do you need help with? You already said you know the version you're running is too old to do what you want, so the solution is obviously to upgrade. Also, this has been covered on here before..please try the LQ Search:
http://www.linuxquestions.org/questi...2-35-a-925564/
 
2 members found this post helpful.
Old 09-16-2013, 10:58 AM   #3
UGI
LQ Newbie
 
Registered: Jun 2013
Posts: 6

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by TB0ne View Post
What do you need help with? You already said you know the version you're running is too old to do what you want, so the solution is obviously to upgrade. Also, this has been covered on here before..please try the LQ Search:
http://www.linuxquestions.org/questi...2-35-a-925564/
Thank you. I just want to check if the version 2.35 is too new to cbrp.
And now I known Ubuntu 11.10 is unsuitable for ns2.

Which version of ns2 matches cbrp?
Thanks for your reply.
 
Old 09-16-2013, 01:53 PM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2019 CentOS6.10 CentOS7.6 + 50+ other Linux OS, for test only.
Posts: 17,251

Rep: Reputation: 3564Reputation: 3564Reputation: 3564Reputation: 3564Reputation: 3564Reputation: 3564Reputation: 3564Reputation: 3564Reputation: 3564Reputation: 3564Reputation: 3564
Ubuntu 11.10 - i686 / 32bits is OK for all ns-2.26 .. ns-2.35
#47 http://www.linuxquestions.org/questi...532/page4.html

CBRP links : Attached.
-
Attached Files
File Type: txt CBRP-links.txt (857 Bytes, 28 views)
File Type: txt CBRP_ns229.txt (880 Bytes, 29 views)

Last edited by knudfl; 09-16-2013 at 02:13 PM.
 
1 members found this post helpful.
Old 09-16-2013, 11:38 PM   #5
UGI
LQ Newbie
 
Registered: Jun 2013
Posts: 6

Original Poster
Rep: Reputation: Disabled
Smile

Quote:
Originally Posted by knudfl View Post
Ubuntu 11.10 - i686 / 32bits is OK for all ns-2.26 .. ns-2.35
#47 http://www.linuxquestions.org/questi...532/page4.html

CBRP links : Attached.
-
Thank you, knudfl.
I really appreciate that!!!
I will try it.
 
Old 11-12-2013, 03:33 AM   #6
UGI
LQ Newbie
 
Registered: Jun 2013
Posts: 6

Original Poster
Rep: Reputation: Disabled
Hello, knudfl
I have tried the way to install cbrp in NS2, but it can't make successfully.
Is there something wrong with the NS-lib.tcl?
It seems to have no relation with CBRP.
Please help me, thanks.

http://hi.baidu.com/lps19890519/item...9710fa54347f7f
http://hi.baidu.com/wsn4u/item/e1270cb9a1c61de94fc7fdba
 
  


Reply

Tags
cbrp, ns2


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
NS2 installation problem: no rule to make target 'VERSION' , needed by gen/version.c bilabongster Linux - Newbie 23 12-07-2011 11:54 AM
Which version of linux is best to install NS2(network simulator) subicutipe Linux - Newbie 3 02-17-2011 05:46 AM
How to Compile Ns2 on Windows Platform mnazanin Linux - Software 4 04-27-2010 09:59 AM
Can't build ns2 on AMD64 platform samqazi1 Linux - Software 0 12-26-2005 10:34 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:48 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration